#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file_to_rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file : label 11 is RF
#

echo "-------------------------------------------------------------------"

faster_disfast  ../../rf_data_0001.fast  -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 1kHz
#     => 0.001s delay
#     => processus in background (&)
#

faster_file_to_rhb  ../../rf_data_0001.fast  0.0001 &


###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc	     ->  RHB default behaviours
#      PLL.pid       ->  faster data declaration
#      PLL.facqConf  ->  histograms declaration
#      PLL.rhvConf   ->  visualisation configuration
#

RHB  -r









###############################################################

pkill faster_file_to_rhb



